libebook::FictionBook2CellContext Class Reference documentation

libebook::FictionBook2CellContext Class Reference

`#include <FictionBook2TableContext.h>`

Inheritance diagram for libebook::FictionBook2CellContext:

## Public Member Functions
| FictionBook2CellContext (std::shared_ptr< FictionBook2ParserContext > parentContext, const std::shared_ptr< FictionBook2TableModel > &model, const FictionBook2BlockFormat &format, bool header)
Public Member Functions inherited from libebook::FictionBook2StyleContextBase
| FictionBook2StyleContextBase (std::shared_ptr< FictionBook2ParserContext > parentContext, const FictionBook2Style &style)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (std::shared_ptr< FictionBook2ParserContext > parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
virtual | ~FictionBook2ParserContext ()
std::shared_ptr< FictionBook2XMLParserContext > | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
std::shared_ptr< FictionBook2ParserContext > | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
| FictionBook2CellContext (const FictionBook2CellContext &other)
FictionBook2CellContext & | operator= (const FictionBook2CellContext &other)
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | endOfAttributes () override
| Signalize the end of attributes.
void | openCell ()

## Private Attributes
const std::shared_ptr< FictionBook2TableModel > | m_model
const bool | m_header
bool | m_opened
int | m_columnSpan
int | m_rowSpan
size_t | m_coveredColumns

## Additional Inherited Members
Protected Member Functions inherited from libebook::FictionBook2StyleContextBase
FictionBook2Style & | getStyle ()
FictionBook2TextFormat & | getTextFormat ()
std::shared_ptr< FictionBook2XMLParserContext > | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | endOfAttributes () override
| Signalize the end of attributes.
void | text (const char *value) override
| Process textual content of an element.

## Constructor & Destructor Documentation

## ◆ FictionBook2CellContext() [1/2]

libebook::FictionBook2CellContext::FictionBook2CellContext | ( | const FictionBook2CellContext & | other | ) |
| private

Referenced by FictionBook2CellContext(), and operator=().

## ◆ FictionBook2CellContext() [2/2]

libebook::FictionBook2CellContext::FictionBook2CellContext | ( | std::shared_ptr< FictionBook2ParserContext > | parentContext,
|  | const std::shared_ptr< FictionBook2TableModel > & | model,
|  | const FictionBook2BlockFormat & | format,
|  | bool | header )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2CellContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2CellContext::endOfAttributes | ( |  | ) |
| overrideprivatevirtual

Signalize the end of attributes.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2CellContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ openCell()

void libebook::FictionBook2CellContext::openCell | ( |  | ) |
| private

Referenced by endOfAttributes(), and endOfElement().

## ◆ operator=()

FictionBook2CellContext & libebook::FictionBook2CellContext::operator= | ( | const FictionBook2CellContext & | other | ) |
| private

## ◆ startOfElement()

void libebook::FictionBook2CellContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## Member Data Documentation

## ◆ m_columnSpan

int libebook::FictionBook2CellContext::m_columnSpan
| private

Referenced by attribute(), FictionBook2CellContext(), and openCell().

## ◆ m_coveredColumns

size_t libebook::FictionBook2CellContext::m_coveredColumns
| private

Referenced by endOfElement(), FictionBook2CellContext(), and openCell().

## ◆ m_header

const bool libebook::FictionBook2CellContext::m_header
| private

Referenced by FictionBook2CellContext().

## ◆ m_model

const std::shared_ptr<FictionBook2TableModel> libebook::FictionBook2CellContext::m_model
| private

Referenced by FictionBook2CellContext(), and openCell().

## ◆ m_opened

bool libebook::FictionBook2CellContext::m_opened
| private

Referenced by endOfElement(), FictionBook2CellContext(), and openCell().

## ◆ m_rowSpan

int libebook::FictionBook2CellContext::m_rowSpan
| private

Referenced by attribute(), FictionBook2CellContext(), and openCell().

The documentation for this class was generated from the following files:

- FictionBook2TableContext.h
- FictionBook2TableContext.cpp